Update BOM Items

Update specific bill of materials items for a version of a PCB project.

Items are matched by their record_num, as returned by
GET /api/v3/pcb/{pcb_id}/{pcb_version}/bom. Using this endpoint, you can modify the
attributes of an item in your bill of materials, such as:

  • value
    The value (e.g. '1K') for the item.

  • package
    The package type (e.g. '0402') for the item.

  • populate
    Whether or not this part should be populated on the board.

  • approved_vendor_list_id
    The approved vendor list to source the item from.

You must specify record_num, part, and one or more of these keys. Keys you do not specify
are not changed.

To change which manufacturer parts may be used for an item, edit its approved vendor list with
the Approved Vendor List endpoints. The part is chosen from that list when the PCB is quoted.
To change how an item is sourced, use PUT /api/v3/pcb/{pcb_id}/{pcb_version}/sourcing/defaults;
the origin field is deprecated and not used.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The PCB ID

integer
required

The PCB version number

Body Params
parts
array of objects
required
parts*
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json